/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package profiling;

import java.util.Vector;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author Selvyn
 */
public class BankManager
{
    public  class   Account
    {
       public   int   accNo;
       public   String   accName;
       public   double  balance;

       public   Account( int acc, String name )
       {
           accNo = acc;
           accName = name;
       }
       
       public   void    debit( double amt )
       {
           balance -= amt;
       }
       
       public   void    credit( double amt )
       {
           balance += amt;
       }
       
       public   double  queryBalance()
       {
           return balance;
       }
    }
    
   public   class   Bank
   {
       public   int   sortCode;
       public   Vector<Account> itsAccount;
       
       public   Bank( int sc )
       {
           itsAccount = new Vector<Account>();
           sortCode = sc;
       }
       
       public   void    addAccount( int accNo, String accName )
       {
           Account acc = new Account( accNo, accName );
           
           itsAccount.add(acc);
       }
       
       public   void    clearAccounts()
       {
           itsAccount.clear();
       }
   }
   
   public static    void main( String args[] ) 
   {
       BankManager bm = new BankManager();
       
       //bm.runTest_1();
       
       //bm.runTest_2();
       
       bm.runTest_3();
   }
   
   public   void    runTest_1()
   {
       for( int x = 0; x < 10000; ++x )
       {
           Bank bb = new Bank( x+10 );
           
           for( int y = 0; y < 100; ++y )
           {
               bb.addAccount(y, "Selvyn");
           }
           
           bb = null;
       }
   }
   
   public   void    runTest_2()
   {
       for( int x = 0;; ++x )
       {
           Bank bb = new Bank( x+10 );
           
           for( int y = 0; y < 100; ++y )
           {
               bb.addAccount(y, "Selvyn" + y);
           }
           
           bb = null;
       }
   }
   
   public   void    runTest_3()
   {
       for( int x = 0;; ++x )
       {
           Bank bb = new Bank( x+10 );
           
           for( int y = 0; y < 100; ++y )
           {
               bb.addAccount(y, "Selvyn" + y );
           }

           bb.clearAccounts();
           bb = null;
       }
   }
}
