package s2s.javacourse;


import java.lang.reflect.*;

public class AnnotationsHandler 
{
    public static void main(String[] args) throws InstantiationException, IllegalAccessException, IllegalArgumentException, InvocationTargetException 
    {
        try 
        {
            for (Method m : Class.forName(args[0]).getMethods()) 
            {
                if( m.isAnnotationPresent( Profile.class ) )
                {
                    System.out.println("Profile to be run on: " + m.getName() );
                        Object obj = Class.forName( args[0] ).newInstance();
                        m.invoke( obj );
                        
                }
            }
        } 
        catch ( ClassNotFoundException ce ) 
        {
            ce.printStackTrace();
        }
    }
}
