package s2s.javacourse;

import java.io.*;

public class FileWrite 
{
    private	class	Account	implements Serializable 
    {
        /**
         * Comment for <code>serialVersionUID</code>
         */
        private static final long serialVersionUID = -6384286870440211098L;
        private String itsName = "Selvyn";
        private	String itsDateCreated = "24/08/05";
        private	double	itsBalance = 500.00;        
    }
    
  public static void main(String[] args) 
  {
      FileWrite	fw = new FileWrite();
      
      fw.objectWriter();
  }

  public	void	primitivesWriter()
  {
      File f = new File("c:\\tmp\\test.txt");
      try
      {
          f.createNewFile();
          FileOutputStream ff = new FileOutputStream(f);
          ObjectOutputStream d = new ObjectOutputStream( ff ) ;
          
          String aString = "Hello World";
          /*ff.write( aString.getBytes() );
          short bb = 257;
          
          ff.write( bb );
          ff.flush();
          ff.close();
          */
          
          d.writeChars(aString);
          d.writeShort( 33 );
          
          byte bb[] = {34, 35, 36, 37};
          
          d.write( bb );
          d.flush();
          d.close();
          
      } 
      catch (IOException e)
      {
          e.printStackTrace();
      }
  }
  
  public	void	objectWriter()
  {
      File f = new File("c:\\tmp\\test.txt");
      try
      {
          f.createNewFile();
          FileOutputStream ff = new FileOutputStream(f);
          ObjectOutputStream d = new ObjectOutputStream( ff ) ;
          
          Account acc = new Account();
          
          d.writeObject( acc );
          d.flush();
          d.close();
          
      } 
      catch (IOException e)
      {
          e.printStackTrace();
      }
  }

  public	void	objectReader()
  {
      File f = new File("c:\\tmp\\test.txt");
      try
      {
          FileInputStream ff = new FileInputStream(f);
          ObjectInputStream d = new ObjectInputStream( ff ) ;
          
          Object obj = d.readObject();
          if( obj instanceof Account )
          {
              Account acc = (Account) obj;
              System.out.println( acc.itsName );
              System.out.println( acc.itsDateCreated );
              System.out.println( acc.itsBalance);
          }
          d.close();
          
      } 
      catch (IOException e)
      {
          e.printStackTrace();
      } 
      catch (ClassNotFoundException e)
	  {
          e.printStackTrace();
	  }
  }
}