package s2s.javacourse;

import java.awt.Frame;

/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.awt.Frame;
import   java.awt.MenuBar;
import   java.awt.Menu;
import   java.awt.MenuItem;
import   java.awt.TextField;
import   java.awt.BorderLayout;
import   java.awt.Color;
import   java.awt.Dimension;
import   java.awt.Panel;
import   java.awt.event.ActionListener;
import   java.awt.event.ActionEvent;

public class JCFrame extends Frame
{
   protected   MenuBar mb = new MenuBar();
   protected   Menu fileMenu = new Menu( "File" );

   // add items to menus
   protected   MenuItem action1 = new MenuItem( "action 1" );
   protected   MenuItem action2 = new MenuItem( "action 2" );
   protected   MenuItem action3 = new MenuItem( "action 3" );
   protected   MenuItem exitItem = new MenuItem( "Exit" );

   protected   TextField urlPath = new TextField( "<enter url>", 20 );

   public JCFrame( String title )
   {
      super( title );
   }

   public   Dimension   getPreferredSize()
   {
      return   new Dimension( 400, 150 );
   }

   protected  class ExitMenuHandler   implements  ActionListener
   {
      public   void  actionPerformed( ActionEvent e )
      {
         System.exit( 0 );
      }
   }

   protected  void  initWindow()
   {
      setLayout( new BorderLayout() );

      add( urlPath, BorderLayout.CENTER );

      fileMenu.add( action1 );
      fileMenu.add( action2 );
      fileMenu.add( action3 );
      fileMenu.add( exitItem );
      mb.add( fileMenu );

      // set the menubar for the frame
      setMenuBar( mb );

      // now setup handlers
      ActionListener menuItemAction = new ExitMenuHandler();
      exitItem.addActionListener( menuItemAction );
   }

   public static void main(String[] args)
   {
      JCFrame jcFrame = new JCFrame( "Test Window" );
      jcFrame.initWindow();
      jcFrame.pack();
      jcFrame.setVisible( true );
   }
}
