package s2s.javacourse;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Selvyn
 */
/**
 * This class shows the time taken by string concatenation at compile time and
 * run time.
 */
public class MoreOnStrings
{

    public static void main(String[] args)
    {
        doTest_1();

        doTest_2();
    }

    static void doTest_1()
    {
        //Test the String Concatination
        long startTime = System.currentTimeMillis();
        for (int i = 0; i < 5000; i++)
        {
            String result = "This is" + "testing the" + "difference" + "between"
                    + "String" + "and" + "StringBuffer";
        }
        long endTime = System.currentTimeMillis();
        System.out.println("Time taken for string concatenation using + operator : "
                + (endTime - startTime) + " milli seconds");

        //Test the StringBuffer Concatination
        long startTime1 = System.currentTimeMillis();
        for (int i = 0; i < 5000; i++)
        {
            StringBuffer result = new StringBuffer();
            result.append("This is");
            result.append("testing the");
            result.append("difference");
            result.append("between");
            result.append("String");
            result.append("and");
            result.append("StringBuffer");
        }

        long endTime1 = System.currentTimeMillis();
        System.out.println("Time taken for String concatenation using StringBuffer : "
                + (endTime1 - startTime1) + " milli seconds");
    }

    static void doTest_2()
    {
        //Test the String Concatenation using + operator
        long startTime = System.currentTimeMillis();
        String result = "hello";
        for (int i = 0; i < 1500; i++)
        {
            result += "hello";
        }

        long endTime = System.currentTimeMillis();
        System.out.println("Time taken for string concatenation using + operator : "
                + (endTime - startTime) + " milli seconds");

        //Test the String Concatenation using StringBuffer
        long startTime1 = System.currentTimeMillis();
        StringBuffer result1 = new StringBuffer("hello");
        for (int i = 0; i < 1500; i++)
        {
            result1.append("hello");
        }
        long endTime1 = System.currentTimeMillis();
        System.out.println("Time taken for string concatenation using StringBuffer :  "
                + (endTime1 - startTime1) + " milli seconds");
    }
}
