package s2s.javacourse;



/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

public class PrimitiveWrapper
{
   private  void  routine1()
   {
      int y = 1;
      Number i = new Number( y );
      System.out.println( "routine1: before call " + y );
      routine2( i );
      System.out.println( "routine1: after call " + i.getNumber() );
   }

   private  void  routine2( Number x )
   {
      System.out.println( "routine2: before modification " + x.getNumber() );
      x.setNumber( x.getNumber() + 7 );
      System.out.println( "routine2: after modification " + x.getNumber() );
   }
   
   private  void    routine3()
   {
       Integer i = 1;
       
       incrementByOne( i );
       
       try
       {
            assert i == 2 : "i should be equal to 2";
       }
       catch( AssertionError ae )
       {
           ae.printStackTrace();
       }
   }

   public static void main(String[] args)
   {
      PrimitiveWrapper wrapper = new PrimitiveWrapper();
      wrapper.routine1();
      wrapper.routine3();
   }
   
   public   void    incrementByOne( int x )
   {
       x++;
   }
}

class Number
{
   private  int x = 0;

   public   Number( int x )
   {
      this.x = x;
   }

   public   void  setNumber( int x )
   {
      this.x = x;
   }

   public   int   getNumber()
   {
      return x;
   }
}

