package s2s.javacourse;

import javax.swing.JFrame;

/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   javax.swing.*;
import   java.awt.*;
import   java.awt.event.*;

public class ScrollableFrame extends JFrame
{
   private  JList list = null;
   private  boolean toggle = false;
   private  String[] listData = null;

   public ScrollableFrame()
   {
      super( "JScroll List Example" );
   }

   public   void  initWindow()
   {
      setSize( 300, 200 );
      String data[] = {"Item1", "Item2", "Item3", "Item4", "Item5",
                       "Item6", "Item7", "Item8", "Item9", "Item10",
                       "Item11", "Item12", "Item13", "Item14", "Item15",
                       "Item16", "Item17", "Item18", "Item19", "Item20",
                       "Item21", "Item22", "Item23", "Item24", "Item25" };

      list = new JList( data );
      JScrollPane scroller = new JScrollPane();
      scroller.setViewportView( list );

      getContentPane().add( scroller, BorderLayout.NORTH );

      JButton addBtn = new JButton( "Change strings" );
      JButton exitBtn = new JButton( "Exit Application" );

      addBtn.addActionListener( new ActionListener()
         {
            public   void  actionPerformed( ActionEvent e )
            {
               String oldData[] = {"Item1", "Item2", "Item3", "Item4", "Item5",
                                "Item6", "Item7", "Item8", "Item9", "Item10",
                                "Item11", "Item12", "Item13", "Item14", "Item15",
                                "Item16", "Item17", "Item18", "Item19", "Item20",
                                "Item21", "Item22", "Item23", "Item24", "Item25" };
               String newData[] = { "xItem1", "xItem2", "xItem3", "xItem4", "xItem5",
                                    "xItem6", "xItem7", "xItem8", "xItem9", "xItem10",
                                    "xItem11", "xItem12", "xItem13", "xItem14", "xItem15",
                                    "xItem16", "xItem17", "xItem18", "xItem19", "xItem20",
                                    "xItem21", "xItem22", "xItem23", "xItem24", "xItem25" };

               toggle = !toggle;

               if( toggle )
                  listData = newData;
               else
                  listData = oldData;

               list.setListData( listData );
            }
         });

      exitBtn.addActionListener( new ActionListener()
         {
            public   void  actionPerformed( ActionEvent e )
            {
               System.exit( 0 );
            }
         } );

      JPanel btnsPanel = new JPanel();
      btnsPanel.add( addBtn, BorderLayout.NORTH );
      btnsPanel.add( exitBtn, BorderLayout.SOUTH );
      getContentPane().add( btnsPanel );
   }

   public static void main(String[] args)
   {
      ScrollableFrame scrollableFrame1 = new ScrollableFrame();

      scrollableFrame1.initWindow();

      scrollableFrame1.pack();
      scrollableFrame1.setVisible( true );
   }
}
