package s2s.javacourse;



/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

public class SimpleCDFactory implements Cloneable
{

   public SimpleCDFactory()
   {
      System.out.println( "Created using newInstance()" );
   }

   SimpleCDFactory(String msg)
   {
      System.out.println(msg);
   }

   // remove the comments to see what happens...
	//public		static	void	CDFactory(){}
	//public		void	CDFactory(){}

   public static void main(String[] args)
        throws ClassNotFoundException,
               InstantiationException,
               IllegalAccessException,
               CloneNotSupportedException
   {
      // Create via the new operator
      SimpleCDFactory CDFactory1 = new SimpleCDFactory( "Created with the new operator" );
      
      // Get a reference to the Class instance for CDFactory, then
      // invoke newInstance() on it to create a new CDFactory object
      Class myCDFactoryClass = Class.forName("abc.modules.HelloWorld");
      abc.modules.HelloWorld factory1 = (abc.modules.HelloWorld) myCDFactoryClass.newInstance();
      
      //abc.modules.HelloWorld factory2 = new abc.modules.HelloWorld();
      
      //factory.sayHelloWorld( "foobar" );
    }
}