package s2s.javacourse;



/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.util.Vector;


public class TimeDynamics
{
   private  Vector   strings = new Vector();

   public TimeDynamics()
   {
   }

   public   void  execute( int length )
   {
      long tstart, tend;
      tstart = System.currentTimeMillis();

      for( int i = 0; i < length; i++ )
      {
         String longString =  i + ":javajavajavajavajavajavajavajavajavajavajavajavajavajavajavajava" +
                              "javajavajavajavajavajavajavajavajavajavajavajavajavajavajavajava" +
                              "javajavajavajavajavajavajavajavajavajavajavajavajavajavajavajava" +
                              "javajavajavajavajavajavajavajavajavajavajavajavajavajavajavajava" +
                              "javajavajavajavajavajavajavajavajavajavajavajavajavajavajavajava" +
                              "javajavajavajavajavajavajavajavajavajavajavajavajavajavajavajava" +
                              "javajavajavajavajavajavajavajavajavajavajavajavajavajavajavajava" +
                              "javajavajavajavajavajavajavajavajavajavajavajavajavajavajavajava" +
                              "javajavajavajavajavajavajavajavajavajavajavajavajavajavajavajava" +
                              "javajavajavajavajavajavajavajavajavajavajavajavajavajavajavajava";

         strings.addElement( longString );
      }

      tend = System.currentTimeMillis();
      System.out.println( "Time lapse: " + (tend - tstart) );
   }

   public static void main(String[] args)
   {
      TimeDynamics timeDynamics1 = new TimeDynamics();
      int length = Integer.parseInt( args[0] );

      System.out.println ( "Start, free memory = " + Runtime.getRuntime().freeMemory() ) ;
      System.out.println ( "total memory = " + Runtime.getRuntime().totalMemory() ) ;

      timeDynamics1.execute( length );

      System.out.println ( "end, free memory = " + Runtime.getRuntime().freeMemory() ) ;
      System.out.println ( "total memory = " + Runtime.getRuntime().totalMemory() ) ;
   }
}