package s2s.javacourse;

/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.awt.Frame;
import   java.awt.MenuBar;
import   java.awt.Menu;
import   java.awt.MenuItem;
import   java.awt.Dimension;
import   java.awt.event.ActionListener;
import   java.awt.event.ActionEvent;

public class UIMenusWithAIC extends Frame
{
   public UIMenusWithAIC()
   {
      super( "Menu Bar With Menus and Handlers" );
   }

   public   Dimension   getPreferredSize()
   {
      return   new Dimension( 400, 150 );
   }

   private  void  initWindow()
   {
      MenuBar mb = new MenuBar();
      Menu fileMenu = new Menu( "File" );
      Menu editMenu = new Menu( "Edit" );
      Menu windowMenu = new Menu( "Window" );
      Menu helpMenu = new Menu( "Help" );

      // add items to menus
      MenuItem openItem = new MenuItem( "Open" );
      MenuItem closeItem = new MenuItem( "Close" );
      MenuItem exitItem = new MenuItem( "Exit" );
      fileMenu.add( openItem );
      fileMenu.add( closeItem );
      fileMenu.add( exitItem );

      mb.add( fileMenu );
      mb.add( editMenu );
      mb.add( windowMenu );
      mb.add( helpMenu );

      // set the menubar for the frame
      setMenuBar( mb );

      // now setup handlers
      ActionListener menuItemAction = new ActionListener()
         {
            public   void  actionPerformed( ActionEvent e )
            {
               System.out.println( "Action Performed Handler for menu items" );
               System.exit( 0 );
            }
         };
      exitItem.addActionListener( menuItemAction );
   }

   public static void main(String[] args)
   {
      UIMenusWithAIC UIMenusWithAIC1 = new UIMenusWithAIC();
      UIMenusWithAIC1.initWindow();
      UIMenusWithAIC1.pack();
      UIMenusWithAIC1.setVisible( true );
   }
}
