package s2s.javacourse;



/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.io.FileReader;
import   java.io.StreamTokenizer;
import   java.io.IOException;

public class WordCount
{
   public static void main(String[] args)
   {
      try
      {
         long time = System.currentTimeMillis();
         int count = 0;
         FileReader r = new FileReader( args[0] );
         StreamTokenizer rdr = new StreamTokenizer(r);
         rdr.resetSyntax();
         rdr.wordChars('a', 'z');
         rdr.wordChars('A', 'Z');
         rdr.wordChars('0','9');
         rdr.whitespaceChars(0, '0'-1);
         rdr.whitespaceChars('9'+1, 'A'-1);
         rdr.whitespaceChars('z'+1, '\uffff');
         int token;

         while( (token = rdr.nextToken()) != StreamTokenizer.TT_EOF)
         {
            if ( token == StreamTokenizer.TT_WORD)
               count++;
         }
         System.out.println(count + " words found.");
         r.close();
         time = System.currentTimeMillis() - time;
         System.out.println("wordcount time (millis) = " + time);
      }
      catch( IOException e )
      {
         System.out.println( e );
      }
   }
}