/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.s2s.collections;

import java.util.ArrayList;
import java.util.Iterator;

/**
 *
 * @author Selvyn
 */
public class MainUnit 
{
    public  static  void    main( String args[] )
    {
        runSimpleCollectionPrimitiveIterator();
        
        runSimpleCollectionIterator();
        
        runSimpleCollectionForIterator();
        
        runTypedollectionIterator();
        
        runWorkWithGenerics();
    }
    
    public  static  void    runSimpleCollectionPrimitiveIterator()
    {
        System.out.println( "==================================================" );
        ArrayList people = new ArrayList();
        people.add( new Person("Selvyn"));
        people.add( new Person("Debs"));
        people.add( new Person("Samuel"));
        people.add( new Person("Pauline"));
        people.add( new Person("Tish"));
        
        int length = people.size();
        
        for( int idx = 0; idx < length; idx++ )
        {
            Person pp = (Person)people.get(idx);
            System.out.println( pp );
        }
    }

    public  static  void    runSimpleCollectionIterator()
    {
        System.out.println( "==================================================" );
        ArrayList people = new ArrayList();
        people.add( new Person("Selvyn"));
        people.add( new Person("Debs"));
        people.add( new Person("Samuel"));
        people.add( new Person("Pauline"));
        people.add( new Person("Tish"));
        
        Iterator iter = people.iterator();
        
        while( iter.hasNext() )
        {
            Person pp = (Person)iter.next();
            System.out.println( pp );
        }
    }

    public  static  void    runSimpleCollectionForIterator()
    {
        System.out.println( "==================================================" );
        ArrayList people = new ArrayList();
        people.add( new Person("Selvyn"));
        people.add( new Person("Debs"));
        people.add( new Person("Samuel"));
        people.add( new Person("Pauline"));
        people.add( new Person("Tish"));
        
        for(Object p : people ) 
        {
            Person pp = (Person)p;
            System.out.println( pp );
        }
    }
    
    public  static  void    runTypedollectionIterator()
    {
        System.out.println( "==================================================" );
        ArrayList<Person> people = new ArrayList<Person>();
        people.add( new Person("Selvyn"));
        people.add( new Person("Debs"));
        people.add( new Person("Samuel"));
        people.add( new Person("Pauline"));
        people.add( new Person("Tish"));
        
        for(Person p : people ) 
        {
            System.out.println( p );
        }
    }
    
    public  static  void    runTypedollectionLambdas()
    {
        System.out.println( "==================================================" );
        ArrayList<Person> people = new ArrayList<Person>();
        people.add( new Person("Selvyn"));
        people.add( new Person("Debs"));
        people.add( new Person("Samuel"));
        people.add( new Person("Pauline"));
        people.add( new Person("Tish"));
        
        people.stream().forEach(p -> System.out.println( p ));
    }

    public  static  void    runWorkWithGenerics()
    {
        System.out.println( "==================================================" );
        Wrapper<Person> wp = new Wrapper<Person>( new Person("Selvyn") );
        
        System.out.println( wp );
    }
}
