package s2s.javacourse;

/*
 * AllAboutInterfaces.java
 *
 * Created on 24 September 2003, 14:45
 */

/**
 *
 * @author  Administrator
 */
public class AllAboutInterfaces
{
    public static void main(String[] args)
    {
        __SavingsAccount sac = new __SavingsAccount();

        __Account acc = sac;
    }
}

interface   __Account
{
    public  void    debit( double amt );
    public  void    credit( double amt );
    public  double  queryBalance();
    public  void    setODLimit( double amt );
    public  double  getODLimit();
}

interface   Taxable
{
    public  double  getTaxRate();
}

interface Swapable
{
    public  void    setAccount( __Account acc );
}

/*
class   CreditAccount
{
    private double  taxRate = 0.035;

    public  void    debit( double amt )
    {
        if( queryBalance() - amt >= getODLimit() )
            debitAccount( amt );
    }

    public  double  getTaxRate()
    {
        return taxRate;
    }

    public  void    Smile()
    {
    }
}
*/
class   __SavingsAccount  implements Taxable, __Account, Swapable
{
    private __Account itsParent = new AccountImpl();

    private int bonusPoints = 0;
    private double  taxRate = 0.07;

    public  void    laugh()
    {
    }

    public  void    debit( double amt )
    {
        if( itsParent.queryBalance() - amt >= itsParent.getODLimit() )
            itsParent.debit( amt );
    }

    public  void credit( double amt )
    {
        bonusPoints++;

        itsParent.credit( amt );
    }

    public  double  getTaxRate()
    {
        return taxRate;
    }
    public  void    setODLimit( double amt )
    {
        itsParent.setODLimit( amt );
    }

    public  double  getODLimit()
    {
        return itsParent.getODLimit();
    }

    public  double  queryBalance()
    {
        return itsParent.queryBalance();
    }

    public  void    setAccount( __Account acc )
    {
        itsParent = acc;
    }
}


class AccountImpl   implements  __Account
{
    private Taxable extendingAccount;

    private double balance = 0.0;
    private double  overDraftLimit = 0.0;

    public  void    debit( double amt )
    {
        balance -= amt;
    }

    public  void    credit( double amt )
    {
        double taxToPay = extendingAccount.getTaxRate() * amt;

        amt -= taxToPay;

        balance += amt;
    }

    public  double  queryBalance()
    {
        return balance;
    }

    public  void    setODLimit( double amt )
    {
        overDraftLimit = amt;
    }

    public  double  getODLimit()
    {
        return overDraftLimit;
    }
}
