package s2s.javacourse;



/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.lang.StringBuffer;
import   java.util.Vector;
import   java.lang.System;

public class ExamineGCBehaviour
{
   public static void main(String[] args)
   {
      System.out.println( "Program Start" );
      int SIZE = 4000;
      StringBuffer s;
      Vector v;

      // create enough objects to give us interesting GC output
      for( int i = 0; i < SIZE; i++ )
      {
         s = new StringBuffer(50);
         v = new Vector(30);
         s.append( i ).append( i+1 ).append( i+2 ).append( i+3 );
      }

      s = null;   // loose the reference
      v = null;   // loose the reference
      System.out.println( "Starting explicit garbage collection");
      long start = System.currentTimeMillis();
      System.gc();
      long stop = System.currentTimeMillis();

      System.out.println( "It took: " + (stop - start));

      int[] arr = new int[SIZE * 10];
      start = System.currentTimeMillis();
      arr = null;
      System.out.println( "Starting explicit garbage collection");
      System.gc();
      stop = System.currentTimeMillis();

      System.out.println( "Second run, it took: " + (stop - start));
   }
}