package s2s.javacourse;



/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.util.*;
import   java.lang.Object;

public class HaveAgoProfile
{
   public static void main(String[] args)
   {
      int   count = 2000;

      // Setup two arrays
      double[] darray = {  Double.MAX_VALUE, -3.14e-200D,
                           Double.NEGATIVE_INFINITY, 567.987987D,
                           123e299D, -0.9823D, -1.234D, 1e55D };
      long[] larray = { 2283911683699007717L,
                        -4587495876345678364L,
                        2457983475923498784L,
                        4876768767667875478L,
                        7657L,
                        Long.MAX_VALUE,
                        1L,
                        -876L,
                        765765756L,
                        0L };

      long start;
      StringBuffer  sb = new StringBuffer();
      Hashtable ht = new Hashtable();

      System.out.println( "Starting profile..." );
      start = System.currentTimeMillis();

      for( int i = count; i > 0; i-- )
      {
         sb.setLength( 0 );
         for( int j = darray.length-1; j >= 0; j-- )
         {
            sb.append( darray[j] );
            ht.put( new Double( darray[j] ), Boolean.TRUE );
         }
         for( int j = larray.length-1; j >= 0; j-- )
         {
            sb.append( larray[j] );
            ht.put( new Double( larray[j] ), Boolean.FALSE );
         }

         start = System.currentTimeMillis() - start;
         System.out.println( "Total run-time: " + start + " milliseconds" );
      }
   }
}