package s2s.javacourse;



/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.awt.Button;
import   java.awt.Frame;
import   java.awt.Panel;
import   java.awt.Font;
import   java.awt.GridLayout;
import   java.awt.event.MouseAdapter;
import   java.awt.event.MouseEvent;

public class UIButtonsWithNIC extends  Panel
{
   private  class ExitAppHandler extends  MouseAdapter
   {
      public void mouseClicked(MouseEvent e)
      {
         System.out.println( "Mouse Clicked" );
         System.exit( 0 );
      }
   }

   private  void  initWindow()
   {
      Font f18 = new Font( "SansSerif", Font.PLAIN, 18 );
      Button b1 = new Button( "First Button" );
      b1.setFont( f18 );
      Button b2 = new Button();
      b2.setLabel( "Second Button" );
      b2.setEnabled( false );

      setLayout( new GridLayout( 3, 2 ) );
      add( b1 ); add( b2 );

      //b1.addMouseListener( new ExitAppHandler() );
      
      b1.addMouseListener( new MouseAdapter()
      {
          public void mouseClicked(MouseEvent e)
          {
             System.out.println( "Mouse Clicked" );
             System.exit( 0 );
          }
      } );
   }

   public static void main(String[] args)
   {
      UIButtonsWithNIC UIButtonsWithNIC1 = new UIButtonsWithNIC();
      UIButtonsWithNIC1.initWindow();
      Frame f = new Frame( "Buttons with Handler" );
      f.add( UIButtonsWithNIC1 );
      f.pack();
      f.setVisible( true );
   }
}