package stream2stream.chat;

/**
 * Title:        Java Courseware
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      TROy Software Development
 * @author Selvyn Wright
 * @version 1.0
 */

import   java.awt.Dimension;
import   javax.swing.*;
import   java.awt.event.*;

public class ChatWnd extends JFrame
{
   private  JMenuBar itsMenuBar = new JMenuBar();
   private  JMenu itsFileMenu = new JMenu( "File" );
   private  JMenuItem itsExitItem = new JMenuItem( "Exit" );

   private  JMenuItem itsStartServerItem = new JMenuItem( "Start Server" );
   private  JMenuItem itsStopServerItem = new JMenuItem( "Stop Server" );
   private  JSeparator itsSeparatorItem = new JSeparator();
   
   public ChatWnd( String whois )
   {
      super( whois + "/Chat" );
   }

   public   Dimension   getPreferredSize()
   {
      return   new Dimension( 300, 300 );
   }

   public   void  initWindow()
   {
      setContentPane( new JScrollPane() );

      itsFileMenu.add( itsStartServerItem );
      itsFileMenu.add( itsStopServerItem );
      itsFileMenu.add( itsSeparatorItem );
      itsFileMenu.add( itsExitItem );
      
      itsMenuBar.add( itsFileMenu );

      setJMenuBar( itsMenuBar );


      setupEventHandlers();

      pack();
      setVisible( true );
   }

   private  void  setupEventHandlers()
   {
      this.addWindowListener( new WindowAdapter()
         {
            public   void  windowClosing( WindowEvent ev )
            {
               System.exit( 0 );
            }
         } );

      itsExitItem.addActionListener( new ActionListener()
         {
            public   void  actionPerformed( ActionEvent ev )
            {
               dispose();
               System.exit( 0 );
            }
         } );
   }
}